<?php

namespace App\Console\Commands;

use Illuminate\Console\Command;
use App\Jobs\AddMonthlyLeaveDays;

class AddMonthlyLeaveDaysCommand extends Command
{
    protected $signature = 'add:monthly-leavedays {month?} {year?}';
    protected $description = 'Cộng 1 ngày phép hàng tháng cho tất cả người dùng';

    public function __construct()
    {
        parent::__construct();
    }

    public function handle()
    {
        $month = $this->argument('month');
        $year = $this->argument('year');
        AddMonthlyLeaveDays::dispatch($month, $year);
    }
}
